using VentaUniformes.Domain.Entities.User;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VentaUniformes.Domain.Entities.Sale;

namespace VentaUniformes.Persistencia.Configurations
{
    public class SaleConfiguration
    {
        public SaleConfiguration( EntityTypeBuilder<SaleEntity> entityBuilder) {
            entityBuilder.ToTable("Sale");
            entityBuilder.HasKey(x => x.Id);
            entityBuilder.Property(x => x.Curso).IsRequired();
            entityBuilder.Property(x => x.Alumno).IsRequired();
            entityBuilder.Property(x => x.Fecha).IsRequired();
            entityBuilder.Property(x => x.PaymentType).IsRequired();

            entityBuilder.Property(x => x.Total).IsRequired();
            entityBuilder.Property(x => x.IsDelete).IsRequired();




        }
    }
}
